{% extends 'fet/base.html' %}

{% block content %}

<h1 class="uk-heading-medium">
    Sélectionner votre repas
</h1>

<p class="uk-text-lead">pour le {{ object.date }}</p>

<br>
<br>

<p>{{ form.errors }}</p>

    {% regroup fets by provider as provider_list %}

    {% for provider, provider_fets in provider_list %}
    <br><br>
    <h2 class="uk-heading-small">{{ provider }}</h2>
    <div class="uk-child-width-1-4@m uk-text-center uk-grid-match" uk-grid>
    {% for fet in provider_fets %}
        <div>
            <div class="uk-card uk-card-default uk-card-body">
                    {% if fet.image %}
                      <div class="uk-card-media-top">
                        <img src="{{ fet.image.url }}" alt="{{ fet.name }}" style="max-height:200px;">
                      </div>
                    {% elif fet.image_url %}
                      <div class="uk-card-media-top">
                        <img src="{{ fet.image_url }}" alt="{{ fet.name }}" style="max-height:200px;">
                      </div>
                    {% endif %}
                    <h3 class="uk-card-title">{{ fet.name }}</h3>
                    {% if fet.description %}
                        {{ fet.description | linebreaks }}
                    {% else %}
                        <em>Description non fournie</em>
                    {% endif %}
                <div class="uk-card-footer">
                    <form action="" method="POST">
                        {% csrf_token %}
                        <input type="hidden" name="fet" value="{{ fet.id }}">
                        <button class="uk-button uk-button-primary uk-button-large">Choisir</button>
                    </form>
                </div>
            </div>
        </div>
    {% endfor %}
    </div>
    {% endfor %}
    <br><br><br><br>


{% endblock %}
